/* MAD-RIPPLE EFFECT */
.ripple {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	overflow: hidden;
	-webkit-transform: translateZ(0); /* to contain zoomed ripple */
	transform: translateZ(0);
	border-radius: inherit; /* inherit from parent (rounded buttons etc) */
	pointer-events: none; /* allow user interaction */
	// animation: ripple-shadow 0.4s forwards;
	// -webkit-animation: ripple-shadow 0.4s forwards;
}
.rippleWave {
	backface-visibility: hidden;
	position: absolute;
	border-radius: 50%;
	transform: scale(0.7);
	-webkit-transform: scale(0.7);
	background: rgba(190, 190, 190, 0.5);
	opacity: 0.45;
	animation: ripple 2s forwards;
	-webkit-animation: ripple 2s forwards;
}
@keyframes ripple-shadow {
	0% {
		box-shadow: 0 0 0 rgba(0, 0, 0, 0);
	}
	20% {
		box-shadow: 0 4px 16px rgba(0, 0, 0, 0.1);
	}
	100% {
		box-shadow: 0 0 0 rgba(0, 0, 0, 0);
	}
}
@-webkit-keyframes ripple-shadow {
	0% {
		box-shadow: 0 0 0 rgba(0, 0, 0, 0);
	}
	20% {
		box-shadow: 0 4px 16px rgba(0, 0, 0, 0.1);
	}
	100% {
		box-shadow: 0 0 0 rgba(0, 0, 0, 0);
	}
}
@keyframes ripple {
	to {
		transform: scale(24);
		opacity: 0;
	}
}
@-webkit-keyframes ripple {
	to {
		-webkit-transform: scale(24);
		opacity: 0;
	}
}

/* MAD-BUTTONS (demo) */
[class*="mad-button-"] {
	display: inline-block;
	text-align: center;
	position: relative;
	margin: 0;
	white-space: nowrap;
	vertical-align: middle;
	font-family: "Roboto", sans-serif;
	font-size: 14px;
	font-weight: 500;
	text-transform: uppercase;
	text-decoration: none;
	border: 0;
	outline: 0;
	background: none;
	transition: 0.3s;
	cursor: pointer;
	color: rgba(0, 0, 0, 0.82);
}
[class*="mad-button-"] i.material-icons {
	vertical-align: middle;
	padding: 0;
}

.mad-button-raised {
	height: 36px;
	padding: 0px 16px;
	line-height: 36px;
	border-radius: 2px;
	box-shadow: /*amb*/ 0 0 2px rgba(0, 0, 0, 0.15), /*key*/ 0 1px 3px rgba(0, 0, 0, 0.25);
}

.mad-button-raised:hover {
	box-shadow: /*amb*/ 0 0 2px rgba(0, 0, 0, 0.13), /*key*/ 0 2px 4px rgba(0, 0, 0, 0.2);
}

.mad-button-action {
	width: 56px;
	height: 56px;
	padding: 16px 0;
	border-radius: 32px;
	box-shadow: /*amb*/ 0 0 2px rgba(0, 0, 0, 0.13), /*key*/ 0 5px 7px rgba(0, 0, 0, 0.2);
}
.mad-button-action:hover {
	box-shadow: /*amb*/ 0 0 2px rgba(0, 0, 0, 0.11), /*key*/ 0 6px 9px rgba(0, 0, 0, 0.18);
}
[class*="mad-button-"].mad-ico-left i.material-icons {
	margin: 0 8px 0 -4px;
}
[class*="mad-button-"].mad-ico-right i.material-icons {
	margin: 0 -4px 0 8px;
}

/* MAD-COLORS */
.bg-primary-darker {
	background: #1976d2;
	color: #fff;
}
.bg-primary {
	background: #2196f3;
	color: #fff;
}
.bg-primary.lighter {
	background: #bbdefb;
	color: rgba(0, 0, 0, 0.82);
}
.bg-accented {
	background: #ff4081;
	color: #fff;
}

/* MAD-CELL */
.cell {
	padding: 8px 16px;
	overflow: auto;
}
